### Type parameters

- #### T

### Hierarchy

- Observer

## Index

### Properties

- closed
- complete
- error
- next

## Properties

### Optional closed

closed: undefined | false | true

- Defined in connection.ts:23

### complete

complete: function

- Defined in connection.ts:26

#### Type declaration

- - (): void

  - #### Returns void

### error

error: function

- Defined in connection.ts:25

#### Type declaration

- - (error: any): void

  - #### Parameters

    - ##### error: any

    #### Returns void

### next

next: function

- Defined in connection.ts:24

#### Type declaration

- - (value: T): void

  - #### Parameters

    - ##### value: T

    #### Returns void

Generated using TypeDoc